Koozali.org formerly Contribs.org

letsencrypt update - can't connect via POP3

Offline leonp

letsencrypt update - can't connect via POP3
« on: July 21, 2021, 07:31:57 PM »
Hello, all.

I made the letsencrypt update to ACMEv2 as described in https://wiki.koozali.org/Letsencrypt#V2_API in my SME version 9.2.
Everything finally worked and no errors were detected by dehydrated -c. It updated the keys on the first run, on the second said that everything is OK, nothing to do.

Now, when I try to read mails (SSL/TLS, normal password) form my local machine (Thunderbird, sylpheed), I receive "connection closed", "connection was reset" permanently.
Reading mails via Horde(WEB) works fine, sending from Thunderbird also works.

Why reading with client SW fails?
What can be done to solve this?
Many thanks ahead for any help.
« Last Edit: July 21, 2021, 07:39:51 PM by leonp »

Offline ReetP

  • *
  • 2,874
Re: letsencrypt update - can't connect via POP3
« Reply #1 on: July 21, 2021, 08:19:15 PM »
V9.2 is EOL and no longer supported.

Please upgrade to v10.

Thanks.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline leonp

Re: letsencrypt update - can't connect via POP3
« Reply #2 on: July 21, 2021, 09:30:51 PM »
V9.2 is EOL and no longer supported.

Please upgrade to v10.

Thanks.

Sure, this is on my worklist. But as I was able to understand, this is not a simple task and dangerous - risk to end with non-working server.
BTW, IMHO v10 was released rather recently. So, making previous(!) version EOL seems to me a bit non-logical.
Anyway, I can't do this TODAY without even option to reverse to working server as the current server is also not fully working...:-)

So, please, help me to solve this, PLEASE!!!
I promise to update to v10 soon...:-)

Offline ReetP

  • *
  • 2,874
Re: letsencrypt update - can't connect via POP3
« Reply #3 on: July 21, 2021, 10:51:23 PM »
Sure, this is on my worklist. But as I was able to understand, this is not a simple task and dangerous - risk to end with non-working server.

It isn't that hard, but takes a bit of patience. That is because of upstream choices, not ours.

So, why haven't you been testing and planning like others? This has been ongoing for a long time?

Quote
BTW, IMHO v10 was released rather recently.

It was. We released when we felt ready after extensive testing. We have been around to assist with queries and issues.

We know how important stability is so we don't do it on a whim.

Note that it has been pretty stable since the first Beta, and I have run one server since fairly early Alpha without any real issues and just following bugs and updates, and being careful. YMMV.

Quote
So, making previous(!) version EOL seems to me a bit non-logical.

If you had kept up to date you would realise it was perfectly logical as the underlying OS was EOL - not our choice - so you can take it up with CentOS and RedHat if you think it illogical.

Quote
Anyway, I can't do this TODAY without even option to reverse to working server as the current server is also not fully working...:-)

This does make me wonder about the response from say Microsoft if you had an issue with DOS, or Windows 98, or say Ubuntu with say 8.04 or even 15.10 ?

Quote
So, please, help me to solve this, PLEASE!!!

As you haven't really give that much info it is hard to tell. You report of 'reading on Horde is OK. Sending via Thunderbird is OK'. They are not the same.

Test you can get to https://your.server.com with a browser and the certificate is OK.

Test you can send AND receive on Horde.

If they are OK you probably have a client issue.

Beyond that.....

Quote
I promise to update to v10 soon...:-)

If you fix this, I wonder when 'soon' will be?

From experience it usually means 'ah it works now so I'll leave it for for the minute'. Until the next time. Rinse and repeat.

Sorry to be cynical or appear harsh, but if you run a server then you should be keeping up to date. Everyone has had lots of time to know that v9 was going to be EOL, and lots of time to prepare and test. Some even helped us to do that.

Now is not a great time to be trying to fix your EOL server. And that is why the v9 forum was locked.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline ReetP

  • *
  • 2,874
Re: letsencrypt update - can't connect via POP3
« Reply #4 on: July 21, 2021, 10:55:28 PM »
Code: [Select]
can't connect via POP3
Note that Horde does not have that issue. It is a IMAP client.

And use IMAP on Thunderbird. So much better that POP.
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline Jean-Philippe Pialasse

  • *
  • 1,768
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: letsencrypt update - can't connect via POP3
« Reply #5 on: July 21, 2021, 10:58:39 PM »
check logs


horde is using IMAP without TLS, on localhost.